Update Binder Version
PUT
/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
{major_version} | The binder major_version_number__v field value. |
{minor_version} | The binder minor_version_number__v field value. |
Body Parameters
Section link for Body ParametersIn the body of the request, add any editable field values that you wish to update. To remove existing field values, include the field name and set its value to null.
To find these fields, Retrieve Binder Version configured on binders.
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "audience__c=Healthcare Provider" \
-d "country__v=1357662840400" \
https://myvault.veevavault.com/api/v26.1/objects/binders/566/0/1Response
Section link for Response{
"responseStatus": "SUCCESS",
"id": 566
}Response Details
Section link for Response DetailsOn SUCCESS, Vault updates field values for the specified version of the binder and returns the ID of the updated binder.